com.io7m.r2.core

## Class R2Bilinear

- java.lang.Object
- - com.io7m.r2.core.R2Bilinear

-     public final class R2Bilinear
      extends Object

  Bilinear functions.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bilinear3F(com.io7m.jtensors.VectorM3F.ContextVM3F c, com.io7m.jtensors.VectorReadable3FType x0y0, com.io7m.jtensors.VectorReadable3FType x1y0, com.io7m.jtensors.VectorReadable3FType x0y1, com.io7m.jtensors.VectorReadable3FType x1y1, float px, float py, com.io7m.jtensors.Vector3FType temp_0, com.io7m.jtensors.Vector3FType temp_1, com.io7m.jtensors.VectorWritable3FType out)` Interpolate between the four given points based on `px` and `py`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### bilinear3F

          public static void bilinear3F(com.io7m.jtensors.VectorM3F.ContextVM3F c,
                                        com.io7m.jtensors.VectorReadable3FType x0y0,
                                        com.io7m.jtensors.VectorReadable3FType x1y0,
                                        com.io7m.jtensors.VectorReadable3FType x0y1,
                                        com.io7m.jtensors.VectorReadable3FType x1y1,
                                        float px,
                                        float py,
                                        com.io7m.jtensors.Vector3FType temp_0,
                                        com.io7m.jtensors.Vector3FType temp_1,
                                        com.io7m.jtensors.VectorWritable3FType out)

      Interpolate between the four given points based on `px` and `py`.
      Parameters:
        `c` - Preallocated storage for vector operations
        `x0y0` - A corner
        `x1y0` - A corner
        `x0y1` - A corner
        `x1y1` - A corner
        `px` - An interpolation value for the X axis
        `py` - An interpolation value for the Y axis
        `temp_0` - A temporary vector
        `temp_1` - A temporary vector
        `out` - The output vector

Copyright © 2017 <code@io7m.com> http://io7m.com